Subject: bug#25636: new snapshot available: gzip-1.8.18-00e6

From: Paul Eggert <[email-masked]>
Date: Mon, 6 Feb 2017 14:54:46 -0800

I reproduced the gzip timestamp bug on Fedora 25 x86-64, compiling gzip 
with 'gcc -m32' to run it in 32-bit mode. The problem is partly that 
gzip/test/timestamp assumes that gzip is compiled the same way that 
'touch' is, and when this is not true (on my platform 'touch' is 64-bit, 
but I built gzip 32-bit) there are false-alarm failures.

There also seems to be a real bug in Fedora 25 glibc when run in 32-bit 
mode on a 64-bit platform, in that 'stat', 'stat64', etc. report the 
wrong timestamp when the timestamp is out of 32-bit range. I filed a 
Fedora bug report just now, here:

https://bugzilla.redhat.com/show_bug.cgi?id=1419736

This bug causes gzip to fail the test case, so it appears to be a real bug.

Given that this bug should not occur on "native" ports (i.e., 32-bit 
gzip on a 32-bit-only platform, or 64-bit gzip on a 64-bit platform) I'm 
inclined to think it's low priority for gzip.